Debian Bug report logs - #621082
imagemagick: New Upstream (6.6.9-3)

version graph

Package: imagemagick; Maintainer for imagemagick is ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>; Source for imagemagick is src:imagemagick.

Reported by: daniel.baumann@progress-technologies.net

Date: Wed, 6 Apr 2011 13:09:06 UTC

Severity: wishlist

Fixed in version 8:6.6.9.7-5

Done: Bastien ROUCARIES <roucaries.bastien@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>:
Bug#621082; Package imagemagick. (Wed, 06 Apr 2011 13:09:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
New Bug report received and forwarded. Copy sent to ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>. (Wed, 06 Apr 2011 13:09:44 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: submit@bugs.debian.org
Subject: imagemagick: New Upstream (6.6.9-3)
Date: Wed, 06 Apr 2011 15:04:58 +0200
Package: imagemagick
Severity: wishlist

Hi,

it would be nice if you could upgrade to version 6.6.9-3.

Regards,
Daniel

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>:
Bug#621082; Package imagemagick. (Wed, 06 Apr 2011 14:00:33 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastien ROUCARIES <roucaries.bastien+imagemagick@gmail.com>:
Extra info received and forwarded to list. Copy sent to ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>. (Wed, 06 Apr 2011 14:00:58 GMT) Full text and rfc822 format available.

Message #10 received at 621082@bugs.debian.org (full text, mbox):

From: Bastien ROUCARIES <roucaries.bastien+imagemagick@gmail.com>
To: daniel.baumann@progress-technologies.net, 621082@bugs.debian.org
Subject: Re: Bug#621082: imagemagick: New Upstream (6.6.9-3)
Date: Wed, 6 Apr 2011 15:28:14 +0200
If you are a dd see mentors package ....

Bastien

On Wed, Apr 6, 2011 at 3:04 PM, Daniel Baumann
<daniel.baumann@progress-technologies.net> wrote:
> Package: imagemagick
> Severity: wishlist
>
> Hi,
>
> it would be nice if you could upgrade to version 6.6.9-3.
>
> Regards,
> Daniel
>
> --
> Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
> Email:          daniel.baumann@progress-technologies.net
> Internet:       http://people.progress-technologies.net/~daniel.baumann/
>
>
>
>




Information forwarded to debian-bugs-dist@lists.debian.org, ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>:
Bug#621082; Package imagemagick. (Wed, 06 Apr 2011 14:01:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>. (Wed, 06 Apr 2011 14:01:14 GMT) Full text and rfc822 format available.

Message #15 received at 621082@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Bastien ROUCARIES <roucaries.bastien+imagemagick@gmail.com>
Cc: 621082@bugs.debian.org
Subject: Re: Bug#621082: imagemagick: New Upstream (6.6.9-3)
Date: Wed, 06 Apr 2011 15:47:57 +0200
On 04/06/2011 03:28 PM, Bastien ROUCARIES wrote:
> If you are a dd see mentors package ....

i'd be happy to sponsor it for you if the other DD maintainers don't
have the time for it, however, please make sure the package is lintian
clean.

also, since the package does bump the soname (and therefore will need a
transition handled for migrating to testing at some point), you should
make the first upload for it to experimental (and while it's rotting in
NEW), coordinating a transition with the release team.

Regards,
Daniel

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>:
Bug#621082; Package imagemagick. (Wed, 06 Apr 2011 14:27:40 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastien ROUCARIES <roucaries.bastien+imagemagick@gmail.com>:
Extra info received and forwarded to list. Copy sent to ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>. (Wed, 06 Apr 2011 14:27:42 GMT) Full text and rfc822 format available.

Message #20 received at 621082@bugs.debian.org (full text, mbox):

From: Bastien ROUCARIES <roucaries.bastien+imagemagick@gmail.com>
To: daniel.baumann@progress-technologies.net
Cc: 621082@bugs.debian.org
Subject: Re: Bug#621082: imagemagick: New Upstream (6.6.9-3)
Date: Wed, 6 Apr 2011 16:24:13 +0200
On Wed, Apr 6, 2011 at 3:47 PM, Daniel Baumann
<daniel.baumann@progress-technologies.net> wrote:
> On 04/06/2011 03:28 PM, Bastien ROUCARIES wrote:
>> If you are a dd see mentors package ....
>
> i'd be happy to sponsor it for you if the other DD maintainers don't
> have the time for it, however, please make sure the package is lintian
> clean.

 imagemagick source: unknown-file-in-debian-source git-patches is a
well known bug in gitpkg and lintian so I will not fix it

The other I do not understand how to solve ... Help welcome

http://mentors.debian.net/cgi-bin/sponsor-pkglist?action=details;package=imagemagick

Bastien

>
> also, since the package does bump the soname (and therefore will need a
> transition handled for migrating to testing at some point), you should
> make the first upload for it to experimental (and while it's rotting in
> NEW), coordinating a transition with the release team.

Could you point me some documentation ?

Bastien
>
> Regards,
> Daniel
>
> --
> Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
> Email:          daniel.baumann@progress-technologies.net
> Internet:       http://people.progress-technologies.net/~daniel.baumann/
>




Information forwarded to debian-bugs-dist@lists.debian.org, ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>:
Bug#621082; Package imagemagick. (Wed, 06 Apr 2011 14:44:58 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>. (Wed, 06 Apr 2011 14:45:10 GMT) Full text and rfc822 format available.

Message #25 received at 621082@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Bastien ROUCARIES <roucaries.bastien+imagemagick@gmail.com>
Cc: 621082@bugs.debian.org
Subject: Re: Bug#621082: imagemagick: New Upstream (6.6.9-3)
Date: Wed, 06 Apr 2011 16:39:20 +0200
On 04/06/2011 04:24 PM, Bastien ROUCARIES wrote:
>  imagemagick source: unknown-file-in-debian-source git-patches is a
> well known bug in gitpkg and lintian so I will not fix it

then please add an override for it (with the appropriate comment and
reference to the bug number).

> The other I do not understand how to solve ... Help welcome

in debian/control, you use 'Bastien Roucariès
<roucaries.bastien+debian@gmail.com>', but in debian/changelog you use
'Bastien ROUCARIÈS <roucaries.bastien+debian@gmail.com>'.

therefore, since the name doesn't match, you as the uploader (from
changelog) are not marked as co-maintainer (in control) and hence
lintian thinks you're doing an (improper versioned) NMU.

Regards,
Daniel

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>:
Bug#621082; Package imagemagick. (Wed, 06 Apr 2011 15:48:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastien ROUCARIES <roucaries.bastien+imagemagick@gmail.com>:
Extra info received and forwarded to list. Copy sent to ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>. (Wed, 06 Apr 2011 15:48:14 GMT) Full text and rfc822 format available.

Message #30 received at 621082@bugs.debian.org (full text, mbox):

From: Bastien ROUCARIES <roucaries.bastien+imagemagick@gmail.com>
To: daniel.baumann@progress-technologies.net
Cc: 621082@bugs.debian.org
Subject: Re: Bug#621082: imagemagick: New Upstream (6.6.9-3)
Date: Wed, 6 Apr 2011 17:46:33 +0200
On Wed, Apr 6, 2011 at 4:39 PM, Daniel Baumann
<daniel.baumann@progress-technologies.net> wrote:
> On 04/06/2011 04:24 PM, Bastien ROUCARIES wrote:
>>  imagemagick source: unknown-file-in-debian-source git-patches is a
>> well known bug in gitpkg and lintian so I will not fix it
>
> then please add an override for it (with the appropriate comment and
> reference to the bug number).

It was fixed in lintian version in unstable


>> The other I do not understand how to solve ... Help welcome
>
> in debian/control, you use 'Bastien Roucariès
> <roucaries.bastien+debian@gmail.com>', but in debian/changelog you use
> 'Bastien ROUCARIÈS <roucaries.bastien+debian@gmail.com>'.
>
> therefore, since the name doesn't match, you as the uploader (from
> changelog) are not marked as co-maintainer (in control) and hence
> lintian thinks you're doing an (improper versioned) NMU.

Thanks....

BTW about experimental and version bump, where would I find documentation ?

Bastien

> Regards,
> Daniel
>
> --
> Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
> Email:          daniel.baumann@progress-technologies.net
> Internet:       http://people.progress-technologies.net/~daniel.baumann/
>




Information forwarded to debian-bugs-dist@lists.debian.org, ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>:
Bug#621082; Package imagemagick. (Thu, 07 Apr 2011 13:27:56 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastien ROUCARIES <roucaries.bastien@gmail.com>:
Extra info received and forwarded to list. Copy sent to ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>. (Thu, 07 Apr 2011 13:28:27 GMT) Full text and rfc822 format available.

Message #35 received at 621082@bugs.debian.org (full text, mbox):

From: Bastien ROUCARIES <roucaries.bastien@gmail.com>
To: debian-mentors@lists.debian.org, daniel.baumann@progress-technologies.net, 621082@bugs.debian.org, ImageMagick Packaging Team (imagemagick for {609177}) <pkg-gmagick-im-team@lists.alioth.debian.org>
Cc: "Nelson A. de Oliveira" <naoliv@debian.org>
Subject: Re: RFS: imagemagick (updated package)
Date: Thu, 7 Apr 2011 14:21:33 +0200
Le mardi 5 avril 2011 10:42:22, Bastien ROUCARIES a écrit :
> Dear mentors,
> 
> I am looking for a sponsor for the new version 8:6.6.9.3-1
> of my package "imagemagick". Nelson, here in cc was used to download
> imagemagick package but is now a little bit quiet nowadays.

I have uploaded a new version on mentors, fixing lintian warning.

I have not fixed and overwritten lintian error because it is fixed by #607694 in lintian unstable.

Thanks you for uploading

bastien

> It builds these binary packages:
> imagemagick - image manipulation programs
> imagemagick-dbg - debugging symbols for ImageMagick
> imagemagick-doc - document files of ImageMagick
> libmagick++-dev - object-oriented C++ interface to ImageMagick -
> development files libmagick++4 - object-oriented C++ interface to
> ImageMagick
> libmagickcore-dev - low-level image manipulation library - development
> files libmagickcore4 - low-level image manipulation library
> libmagickcore4-extra - low-level image manipulation library - extra codecs
> libmagickwand-dev - image manipulation library - development files
> libmagickwand4 - image manipulation library
> perlmagick - Perl interface to the ImageMagick graphics routines
> 
> The upload would fix these bugs: 579775, 587227, 594693, 601824, 611125,
> 612811
> 
> The package can be found on mentors.debian.net:
> - URL: http://mentors.debian.net/debian/pool/main/i/imagemagick
> - Source repository: deb-src http://mentors.debian.net/debian unstable main
> contrib non-free - dget
> http://mentors.debian.net/debian/pool/main/i/imagemagick/imagemagick_6.6.9
> .3-1.dsc
> 
> I would be glad if someone uploaded this package for me.
> 
> Kind regards
>  bastien roucaries




Information forwarded to debian-bugs-dist@lists.debian.org, ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>:
Bug#621082; Package imagemagick. (Fri, 15 Apr 2011 06:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastien ROUCARIES <roucaries.bastien@gmail.com>:
Extra info received and forwarded to list. Copy sent to ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>. (Fri, 15 Apr 2011 06:57:03 GMT) Full text and rfc822 format available.

Message #40 received at 621082@bugs.debian.org (full text, mbox):

From: Bastien ROUCARIES <roucaries.bastien@gmail.com>
To: debian-mentors@lists.debian.org, daniel.baumann@progress-technologies.net, 621082@bugs.debian.org, ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>
Cc: "Nelson A. de Oliveira" <naoliv@debian.org>
Subject: Re: Bug#621082: RFS: imagemagick (updated package)
Date: Fri, 15 Apr 2011 08:52:55 +0200
Any news ?

Bastien

On Thu, Apr 7, 2011 at 2:21 PM, Bastien ROUCARIES
<roucaries.bastien@gmail.com> wrote:
> Le mardi 5 avril 2011 10:42:22, Bastien ROUCARIES a écrit :
>> Dear mentors,
>>
>> I am looking for a sponsor for the new version 8:6.6.9.3-1
>> of my package "imagemagick". Nelson, here in cc was used to download
>> imagemagick package but is now a little bit quiet nowadays.
>
> I have uploaded a new version on mentors, fixing lintian warning.
>
> I have not fixed and overwritten lintian error because it is fixed by #607694 in lintian unstable.
>
> Thanks you for uploading
>
> bastien
>
>> It builds these binary packages:
>> imagemagick - image manipulation programs
>> imagemagick-dbg - debugging symbols for ImageMagick
>> imagemagick-doc - document files of ImageMagick
>> libmagick++-dev - object-oriented C++ interface to ImageMagick -
>> development files libmagick++4 - object-oriented C++ interface to
>> ImageMagick
>> libmagickcore-dev - low-level image manipulation library - development
>> files libmagickcore4 - low-level image manipulation library
>> libmagickcore4-extra - low-level image manipulation library - extra codecs
>> libmagickwand-dev - image manipulation library - development files
>> libmagickwand4 - image manipulation library
>> perlmagick - Perl interface to the ImageMagick graphics routines
>>
>> The upload would fix these bugs: 579775, 587227, 594693, 601824, 611125,
>> 612811
>>
>> The package can be found on mentors.debian.net:
>> - URL: http://mentors.debian.net/debian/pool/main/i/imagemagick
>> - Source repository: deb-src http://mentors.debian.net/debian unstable main
>> contrib non-free - dget
>> http://mentors.debian.net/debian/pool/main/i/imagemagick/imagemagick_6.6.9
>> .3-1.dsc
>>
>> I would be glad if someone uploaded this package for me.
>>
>> Kind regards
>>  bastien roucaries
>
>
>
>




Added blocking bug(s) of 621082: 625544 Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Wed, 04 May 2011 11:53:59 GMT) Full text and rfc822 format available.

Reply sent to Bastien ROUCARIES <roucaries.bastien@gmail.com>:
You have taken responsibility. (Wed, 29 Jun 2011 11:24:34 GMT) Full text and rfc822 format available.

Notification sent to daniel.baumann@progress-technologies.net:
Bug acknowledged by developer. (Wed, 29 Jun 2011 11:24:48 GMT) Full text and rfc822 format available.

Message #47 received at 621082-done@bugs.debian.org (full text, mbox):

From: Bastien ROUCARIES <roucaries.bastien@gmail.com>
To: 621082-done@bugs.debian.org
Subject: Done
Date: Wed, 29 Jun 2011 13:22:00 +0200
Version: 8:6.6.9.7-5
thanks

Done with new version




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 18 Aug 2011 07:38:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:53:33 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.